Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84915 - oowriter outputs SIOCGIFADDR got '00:00:00:00:00:00' with dummy network interface
Summary: oowriter outputs SIOCGIFADDR got '00:00:00:00:00:00' with dummy network inter...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-23 20:38 UTC by Jay Berkenbilt
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-27 16:14:39 UTC


Attachments (Terms of Use)

Description Jay Berkenbilt 2003-02-23 20:38:05 UTC
Description of problem:

If you have a dummy network interface configured, then open office outputs:

SIOCGIFADDR got '00:00:00:00:00:00' multiple times while it runs.

Version-Release number of selected component (if applicable):

openoffice-1.0.2-2

How reproducible:

always


Steps to Reproduce:
1. ifconfig dummy0 10.10.10.10 netmask 255.255.255.255 up
2. oowriter &      [from commandline so you can see its output]

Actual results:

The above message is issued from time to time.

Expected results:

It shouldn't complain about this.  It should just silently ignore it.

Additional info:

Setting an explicit hardware address, as in:

ip link set dummy0 address 00:00:00:00:00:01

prevents this output.

Comment 1 Dan Williams 2004-02-27 16:14:39 UTC
OOo needs to know certain things about the network for a variety of
functions...  I think we're stuck with this for the time being...


Note You need to log in before you can comment on or make changes to this bug.